curl --request PUT \
--url https://api.honeycomb.io/1/datasets/{datasetSlug} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"expand_json_depth": 3,
"description": "my updated description",
"settings": {
"delete_protected": false
}
}
'import requests
url = "https://api.honeycomb.io/1/datasets/{datasetSlug}"
payload = {
"expand_json_depth": 3,
"description": "my updated description",
"settings": { "delete_protected": False }
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expand_json_depth: 3,
description: 'my updated description',
settings: {delete_protected: false}
})
};
fetch('https://api.honeycomb.io/1/datasets/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "My Dataset!",
"slug": "my-dataset-",
"description": "my updated description",
"settings": {
"delete_protected": false
},
"expand_json_depth": 3,
"created_at": "2022-07-21T18:39:23Z",
"last_written_at": "2022-09-22T17:32:03Z",
"regular_columns_count": 100
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate Limited"
}Update a Dataset
Update a Dataset’s settings.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug.
Body
Update a Dataset's settings. All fields must be specified, as omitting one will have the effect of reverting the setting to the default.
an object to send to the Dataset API via PUT
A description for the dataset.
1024"A nice description of my dataset"
The maximum unpacking depth of nested JSON fields.
0 <= x <= 103
Show child attributes
Show child attributes
Response
Updated
Datasets are a collection of events from a specific source or related source.
The name of the dataset.
1 - 255"My Dataset!"
A description for the dataset.
1024"A nice description of my dataset"
Show child attributes
Show child attributes
The maximum unpacking depth of nested JSON fields.
0 <= x <= 103
The 'slug' of the dataset to be used in URLs.
"my-dataset-"
The total number of unique fields for this Dataset. The value will be null if the dataset does not contain any fields yet.
100
The ISO8601-formatted time when the dataset last received event data. The value will be null if no data has been received yet.
"2022-07-21T18:39:23Z"
The ISO8601-formatted time when the dataset was created.
"2022-09-22T17:32:11Z"
The type of data contained in the dataset. Only present for time-series metrics datasets.
metrics "metrics"